import * as React from "react";
export declare type HoverEventType = "mouse" | "touch" | "all";
export declare const useHover: () => {
    hovering: boolean;
    onMouseOver: () => void;
    onMouseLeave: () => void;
    onTouchStart: () => void;
    onTouchEnd: () => void;
};
declare const Hoverable: React.FunctionComponent<HoverableProps>;
export default Hoverable;
export interface HoverableChildProps {
    hovering: boolean;
    onMouseOver(): void;
    onMouseLeave(): void;
    onTouchStart(): void;
    onTouchEnd(): void;
}
export interface HoverableProps {
    events: HoverEventType;
    children: (props: HoverableChildProps) => React.ReactElement;
}
